package cn.com.qmth.stmms.biz.distributpaper.query;

import java.util.Date;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.distributpaper.model.TryLibrary;
import cn.com.qmth.stmms.common.enums.ClassType;
import cn.com.qmth.stmms.common.enums.LibraryStatus;

public class TryLibrarySearchQuery extends BaseQuery<TryLibrary> {

    private int examId;

    private int subjectId;

    private ClassType classType;

    private int blockId;

    private int secretNo;

    private int getter;

    private LibraryStatus status;

    private Date maxGetTime;

    private Date minGetTime;

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public int getBlockId() {
        return blockId;
    }

    public void setBlockId(int blockId) {
        this.blockId = blockId;
    }

    public int getSecretNo() {
        return secretNo;
    }

    public void setSecretNo(int secretNo) {
        this.secretNo = secretNo;
    }

    public int getGetter() {
        return getter;
    }

    public void setGetter(int getter) {
        this.getter = getter;
    }

    public LibraryStatus getStatus() {
        return status;
    }

    public void setStatus(LibraryStatus status) {
        this.status = status;
    }

    public int getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(int subjectId) {
        this.subjectId = subjectId;
    }

    public ClassType getClassType() {
        return classType;
    }

    public void setClassType(ClassType classType) {
        this.classType = classType;
    }

    public Date getMaxGetTime() {
        return maxGetTime;
    }

    public void setMaxGetTime(Date maxGetTime) {
        this.maxGetTime = maxGetTime;
    }

    public Date getMinGetTime() {
        return minGetTime;
    }

    public void setMinGetTime(Date minGetTime) {
        this.minGetTime = minGetTime;
    }
}
